import request from '@/utils/request'

export function getDicts() {
    return request({
        url: 'api/dataDict/all',
        method: 'get'
    })
}

export function add(data) {
    return request({
        url: 'system/dataDict/saveFormJson',
        method: 'post',
        data
    })
}

export function del(ids) {
    return request({
        url: 'system/dataDict/deleteFormJson',
        method: 'post',
        data: ids
    })
}

export function edit(data) {
    return request({
        url: 'system/dataDict/saveFormJson',
        method: 'post',
        data
    })
}

export default { add, edit, del }
